# Componere\Definition::getClosure

(Componere 2 >= 2.1.0)

Componere\Definition::getClosure — Renvoie la fermeture

### Description

public Componere\Definition::getClosure(string `$name`): Closure

Renvoie une fermeture pour la méthode spécifiée par le nom

### Liste de paramètres

`name`

  Le nom insensible à la casse de la méthode

### Valeurs de retour

Une fermeture liée à la portée correcte

### Exceptions

Avertissement

Lance une RuntimeException si la Definition a été enregistrée

Avertissement

Lance une RuntimeException si `name` n'a pas pu être trouvé